## s51dude 0.3.1

=== Makefile ===
--- 
+++ 
@@ -1,13 +1,17 @@
 
 CC = gcc
-CFLAGS = -Wall -O2
+CFLAGS ?= -Wall -O2
+CPPFLAGS ?=
 OBJECTS = s51dude.o ihex.o usbtiny.o parse_params.o parts.o
 INCLUDES = ihex.h parts.h s51dude.h usbtiny.h
-LDFLAGS = -lusb -Wl
+LDFLAGS += -lusb
 
 # prefix for installing the binaries
-DESTDIR=
-PREFIX=/usr/local
+DESTDIR ?=
+PREFIX ?=/usr
+
+# Default version
+VERSION=devel
 
 # Path where to install locale files:
 LOCALEPATH = $(DESTDIR)/$(PREFIX)/share/locale
@@ -32,7 +36,7 @@
 
 #.SUFFIXES: .c .o
 %.o: %.c $(INCLUDES)
-	$(NICE_CC) -o $@ -c $(CDEFINES) $(CFLAGS) $< $(INCFLAGS)
+	$(NICE_CC) -o $@ -c $(CDEFINES) $(CFLAGS) $(CPPFLAGS) $< $(INCFLAGS)
 
 install-bin: s51dude
 	install -d $(DESTDIR)/$(PREFIX)/bin
@@ -49,7 +53,12 @@
 
 clean:
 	rm -f $(OBJECTS) s51dude
+	make -C po/ clean
 
 default: all
 
+# Create upstream tar.gz
+archive:
+	hg archive -X ".hg*" -t tbz2 s51dude-$(VERSION).tar.bz2
+
 .PHONY: default all clean install-bin install-man install
