=== po/Makefile ===
LANGUAGES=es

POT_FILE=s51dude.pot
MO_FILES=$(LANGUAGES:%=%.mo)

all: $(MO_FILES)

$(POT_FILE): $(shell find .. -name '*.[ch]')
	xgettext -k_ -kN_ -o $@ $^ -d s51dude -s
	for po in *.po; do\
		lang=`basename $$po .po`; \
		intltool-update --dist --gettext-package=s51dude $$lang; \
	done

$(MO_FILES): %.mo: %.po
	msgfmt -c -o $@ $<

remove clean:
	rm -f $(MO_FILES)

install: $(MO_FILES)
	for i in $(LANGUAGES); do \
		install -m644 -D $$i.mo $(LOCALEPATH)/$$i/LC_MESSAGES/s51dude.mo; \
	done

uninstall:
	for i in $(LANGUAGES); do \
		rm -fv $(LOCALEPATH)/$$i/LC_MESSAGES/s51dude.mo; \
	done
