=== debian/changelog ===
s51dude (0.3.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix "ftbfs with GCC-5":
    debian/rules: build with "build with -fgnu89-inline".
    (Closes: #778109)

 -- gregor herrmann <gregoa@debian.org>  Thu, 23 Jul 2015 23:51:59 +0200

s51dude (0.3.1-1) unstable; urgency=low

  * New upstream release

 -- Lucas Chiesa <lucas.chiesa@gmail.com>  Thu, 29 Aug 2013 09:20:11 -0300

s51dude (0.2.0-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "ftbfs with GCC-4.7": apply patch from Paul Tagliamonte (stray -Wl in
    Makefile). Closes: #667365

 -- gregor herrmann <gregoa@debian.org>  Sat, 21 Apr 2012 12:35:58 +0200

s51dude (0.2.0-1) unstable; urgency=low

  * New upstream release 

 -- Lucas Chiesa <lucas.chiesa@gmail.com>  Mon, 13 Oct 2008 02:31:16 +0000

s51dude (0.1.3-1) unstable; urgency=low

  * Initial release

 -- Lucas Chiesa <lucas.chiesa@gmail.com>  Fri, 15 Aug 2008 00:20:55 +0000
