=== debian/control ===
Source: s51dude
Section: electronics
Priority: extra
Maintainer: Lucas Chiesa <lucas.chiesa@gmail.com>
Build-Depends: debhelper (>= 9), libusb-dev
Standards-Version: 3.9.4
Homepage: http://tulku.bitbucket.org/s51dude/

Package: s51dude
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: In-System Programmer for 8051 MCUs using usbtiny
 In-System programmer for Atmel's 8051 MCUs like the AT89S8252 and AT89S53.
 It needs the usbtinyisp board with a modified firmware.
