=== debian/rules ===
#!/usr/bin/make -f

export DEB_CFLAGS_MAINT_APPEND = -fgnu89-inline

%:
	dh $@

override_dh_compress:
	dh_compress --exclude=hex
